package com.yizhi.forum.application.feign;


import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.forum.application.vo.domain.PostsClassifyVo;
import com.yizhi.forum.application.vo.forum.PostsClassifySettingVo;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */

@FeignClient(name = "cloud-forum", contextId = "PostsClassifyClient")
public interface PostsClassifyClient {

    @GetMapping("/postsClassify/manage/exsitsSameName")
    public Boolean exsitsSameName(@RequestParam("name") String name);

    @PostMapping("/postsClassify/manage/save")
    public Boolean save(@RequestBody PostsClassifyVo postsClassifyVo);

    @PostMapping("/postsClassify/manage/update")
    public Boolean update(@RequestBody PostsClassifyVo postsClassifyVo);

    @GetMapping("/postsClassify/manage/move")
    public Integer move(@RequestParam("type") Integer type, @RequestParam("id") Long id);

    @GetMapping("/postsClassify/manage/get")
    public PostsClassifyVo get(@RequestParam("id") Long id);

    @GetMapping("/postsClassify/manage/deleted")
    public Integer deleted(@ApiParam("分类id必填") @RequestParam("id") Long id);

    @PostMapping("/postsClassify/manage/updateSetting")
    public Boolean updateSetting(@RequestBody PostsClassifySettingVo vo);

    @GetMapping("/postsClassify/manage/getSetting")
    public PostsClassifySettingVo getSetting(@RequestParam("id") Long id);

    @GetMapping("/postsClassify/manage/getPage")
    public Page<PostsClassifyVo> getPage(@RequestParam(value = "name",required = false) String name,
                                         @RequestParam("pageNo") Integer pageNo,
                                         @RequestParam("pageSize") Integer pageSize);
}

