package com.yizhi.forum.application.feign.student;


import com.yizhi.forum.application.vo.domain.PostsFavoriteVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@FeignClient(name = "cloud-forum", contextId = "StudentPostsFavoriteClient")
public interface StudentPostsFavoriteClient {

    @PostMapping("/postsFavorite/save")
    public Integer save(@RequestBody PostsFavoriteVo postsFavorite);

    @PostMapping("/postsFavorite/deleted")
    public Integer deleted(@RequestBody PostsFavoriteVo PostsFavorite);

    @GetMapping("/postsFavorite/hasFavoriteByPostsId")
    public Integer hasFavoriteByPostsId(@RequestParam("postsId") Long postsId);

    @GetMapping("/postsFavorite/hasFavoriteByPostsIds")
    public Map<Long,Integer> hasFavoriteByPostsIds(@RequestParam("postsIds") List<Long> postsIds);
}

