package com.yizhi.forum.application.util;

import cn.hutool.core.date.DateUtil;
import com.yizhi.forum.application.constans.ForumConstans;

import java.text.SimpleDateFormat;
import java.util.Date;

public class ForumUtil {

    private static SimpleDateFormat format1 = new SimpleDateFormat("yyyy-MM-dd HH:mm");
    private static SimpleDateFormat format2 = new SimpleDateFormat("MM-dd HH:mm");
    private static SimpleDateFormat format3 = new SimpleDateFormat("HH:mm");
    private static final Long ONE_MINUTE = 60 * 1000L;
    private static final Long ONE_HOUR = 60 * ONE_MINUTE;
    private static final Long TODAY = 24 * ONE_HOUR;

    /**
     * 根据创建时间获取回显时间
     *
     * @param creatTime
     * @return
     */

    public static String getCreatTimeString(Date creatTime) {
        Date now = new Date();
        Long ZERO = 0L;
        //获取当前时间的年份
        int currentYear = DateUtil.year(now);
        //获取创建时间的年份
        int creatTimeYear = DateUtil.year(creatTime);
        Long a = now.getTime() - creatTime.getTime();

        if (DateUtil.isSameDay(creatTime, now)) {
            if (a - ONE_MINUTE <= ZERO) {
                return ForumConstans.NOW;
            }
            if (a - ONE_HOUR <= ZERO) {
                return (now.getTime() - creatTime.getTime()) / ONE_MINUTE + "分钟前";
            }
            if (a - TODAY <= ZERO) {
                return "今天 " + format3.format(creatTime);
            }
        }
        if (creatTimeYear == currentYear) {
            return "" + format2.format(creatTime);
        } else {
            return "" + format1.format(creatTime);
        }
    }
}
