package com.yizhi.forum.application.vo.forum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@Data
@ApiModel(value = "PostsVo", description = "帖子Vo")

public class PostsVo {

    @ApiModelProperty(value = "帖子id")
    private Long id;

    @ApiModelProperty(value = "帖子分类id")
    private Long postsClassifyId;

    @ApiModelProperty(value = "帖子名称")
    private String title;

    @ApiModelProperty(value = "帖子封面（取内容里的图片）")
    private String logo;

    @ApiModelProperty(value = "作者用户id")
    private Long author;

    @ApiModelProperty(value = "是否置顶 0：未置顶（默认） 1:置顶")
    private Integer isTop;

    @ApiModelProperty(value = "置顶时间 --is_top为1时有效,初始值为创建时间 ")
    private Date topTime;

    @ApiModelProperty(value = "是否加精 0：未加精（默认） 1:加精")
    private Integer isHighlight;

    @ApiModelProperty(value = "加精时间 --is_highlight为1时有效,初始值为创建时间 ")
    private Date highlightTime;

    @ApiModelProperty(value = "点赞数")
    private Integer thumbsNum;

    @ApiModelProperty(value = "阅读人数")
    private Integer readNum;

    @ApiModelProperty(value = "举报人数")
    private Integer informNum;

    @ApiModelProperty(value = "是否有新的举报而未被管理  0：未被管理（默认） 1：已被管理")
    private Integer hasNewInform;

    @ApiModelProperty(value = "回复人数")
    private Integer replyNum;

    @ApiModelProperty(value = "评论人数")
    private Integer commentNum;

    @ApiModelProperty(value = "最新回复时间  初始值为创建时间 置顶时间为时间最大值； ")
    private Date commentTime;

    @ApiModelProperty(value = "未被管理员阅读评论数")
    private Integer newCommentNum;

    @ApiModelProperty(value = "是否已经被管理   0：未被管理（默认） 1：已被管理")
    private Integer hasManage;

    @ApiModelProperty(value = "终端类型：1-管理端   2-pc端   3-微信端  4-app")
    private Integer terminalType;


    @ApiModelProperty(value = "若置顶该字段为允许的时间最大值，有回复则记录最新回复时间，默认帖子创建时间\n" +
            "置顶时间>回复时间>创建时间 ")
    private Date sortTime;


    @ApiModelProperty(value = "发表时间")
    private Date createTime;

    @ApiModelProperty(value = "被收藏时间")
    private Date favoriteTime;

    @ApiModelProperty(value = "修改时间 初始值为发表时间")
    private Date updateTime;

    @ApiModelProperty(value = "有新的举报（包括对帖子和对回复的），有新的回复，帖子刚发表（包括修改以后发表)")
    private Date manageSortTime;
}
