package com.yizhi.forum.application.controller;


import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.forum.application.feign.PostsClient;
import com.yizhi.forum.application.service.IPostsService;
import com.yizhi.forum.application.vo.forum.PostsManageVo;
import com.yizhi.forum.application.vo.forum.PostsParamsVo;
import com.yizhi.forum.application.vo.forum.PostsSaveVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 帖子接口
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@RestController
@RequestMapping("/posts")
public class PostsController implements PostsClient {

    @Autowired
    IPostsService postsService;

    /**
     * 保存帖子
     *
     * @param vo
     * @return
     */
    @Override
    @PostMapping("/save")
    public Integer save(@RequestBody PostsSaveVo vo) {

        return postsService.save(vo);
    }

    /**
     * 查看完整帖子
     *
     * @param vo
     * @return
     */
    @Override
    @PostMapping("/get")
    public PostsSaveVo get(@RequestBody PostsParamsVo vo) {
        return postsService.get(vo);
    }


    /**
     * 帖子修改
     *
     * @param vo
     * @return
     */
    @Override
    @PostMapping("/update")
    public Integer update(@RequestBody PostsSaveVo vo) {
        return postsService.update(vo);
    }

    /**
     * 帖子上下架
     *
     * @param vo
     * @return
     */
    @Override
    @PostMapping("/upOrDown")
    public Integer upOrDown(@RequestBody PostsParamsVo vo) {

        return postsService.upOrDown(vo);
    }

    /**
     * 帖子加精或置顶
     *
     * @param vo
     * @return
     */
    @Override
    @PostMapping("/topOrHighlight")
    public Integer topOrHighlight(@RequestBody PostsParamsVo vo) {

        return postsService.topOrHighlight(vo);
    }

    @Override
    @PostMapping("/getPage")
    public Page<PostsManageVo> getPage(@RequestBody PostsParamsVo vo) {
        return postsService.getPage(vo);
    }
}

