package com.yizhi.forum.application.controller;


import com.yizhi.forum.application.feign.PostsVisibleRangeClient;
import com.yizhi.forum.application.service.IPostsVisibleRangeService;
import com.yizhi.forum.application.vo.forum.PostsVisibleRangeVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 帖子的指定范围
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@RestController
@RequestMapping("/postsVisibleRange")
public class PostsVisibleRangeController implements PostsVisibleRangeClient {

    @Autowired
    private IPostsVisibleRangeService postsVisibleRangeService;

    @Override
    @GetMapping("/getVisibleRange")
    public List<PostsVisibleRangeVo> getVisibleRange(Long postsId) {

        return postsVisibleRangeService.getListByPostsId(postsId);
    }
}

