package com.yizhi.forum.application.controller.student;


import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.forum.application.feign.student.StudentPostsClassifyClient;
import com.yizhi.forum.application.service.IPostsClassifyService;
import com.yizhi.forum.application.vo.domain.PostsClassifyVo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 学员端分类接口
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@RestController
@RequestMapping("/postsClassify/student/")
public class StudentPostsClassifyController implements StudentPostsClassifyClient {

    private Logger logger = LoggerFactory.getLogger(StudentPostsClassifyController.class);


    @Autowired
    private IPostsClassifyService postsClassifyService;


    /**
     * 学员端分类分页查询
     *
     * @param name
     * @param canSend  是否对发帖可见范围作判断
     * @param pageNo
     * @param pageSize
     * @return
     */
    @Override
    @GetMapping("/getPageToStudent")
    public Page<PostsClassifyVo> getPageToStudent(@RequestParam(value = "name",required = false) String name,
                                                  @RequestParam("canSend") Boolean canSend,
                                                  @RequestParam("pageNo") Integer pageNo,
                                                  @RequestParam("pageSize") Integer pageSize) {
        return postsClassifyService.getPageToStudent(name, canSend, pageNo, pageSize);
    }

}


