package com.yizhi.forum.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@Data
@ApiModel(value = "PostsVo", description = "帖子表")
@TableName("posts")
public class Posts {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "帖子id")
    private Long id;

    @ApiModelProperty(value = "帖子分类id")
    @TableField("posts_classify_id")
    private Long postsClassifyId;

    @ApiModelProperty(value = "帖子名称")
    private String title;

    @ApiModelProperty(value = "帖子封面（取内容里的图片）")
    private String logo;

    @ApiModelProperty(value = "状态  0：草稿 1：未上架   2：上架")
    private Integer status;

    @ApiModelProperty(value = "作者用户id")
    private Long author;

    @ApiModelProperty(value = "0：全平台 1：指定用户")
    @TableField("visible_range")
    private Integer visibleRange;

    @ApiModelProperty(value = "是否置顶 0：未置顶（默认） 1:置顶")
    @TableField("is_top")
    private Integer isTop;

    @ApiModelProperty(value = "置顶时间 --is_top为1时有效,初始值为创建时间 ")
    @TableField("top_time")
    private Date topTime;

    @ApiModelProperty(value = "是否加精 0：未加精（默认） 1:加精")
    @TableField("is_highlight")
    private Integer isHighlight;

    @ApiModelProperty(value = "加精时间 --is_highlight为1时有效,初始值为创建时间 ")
    @TableField("highlight_time")
    private Date highlightTime;

    @ApiModelProperty(value = "点赞数")
    @TableField("thumbs_num")
    private Integer thumbsNum;

    @ApiModelProperty(value = "阅读人数")
    @TableField("read_num")
    private Integer readNum;

    @ApiModelProperty(value = "举报人数")
    @TableField("inform_num")
    private Integer informNum;

    @ApiModelProperty(value = "是否有新的举报而未被管理  0：未被管理（默认） 1：已被管理")
    @TableField("has_new_inform")
    private Integer hasNewInform;

    @ApiModelProperty(value = "回复人数")
    @TableField("reply_num")
    private Integer replyNum;

    @ApiModelProperty(value = "评论人数")
    @TableField("comment_num")
    private Integer commentNum;

    @ApiModelProperty(value = "最新回复时间  初始值为创建时间  ")
    @TableField("comment_time")
    private Date commentTime;

    @ApiModelProperty(value = "未被管理员阅读评论数")
    @TableField("new_comment_num")
    private Integer newCommentNum;

    @ApiModelProperty(value = "是否已经被管理   0：未被管理（默认） 1：已被管理")
    @TableField("has_manage")
    private Integer hasManage;

    @ApiModelProperty(value = "终端类型：1-管理端   2-pc端   3-微信端  4-app")
    @TableField("terminal_type")
    private Integer terminalType;

    @ApiModelProperty(value = "若置顶该字段为允许的时间最大值，有回复则记录最新回复时间，默认帖子创建时间" +
            "置顶时间>回复时间>创建时间 ")
    @TableField("sort_time")
    private Date sortTime;

    @ApiModelProperty(value = "有新的举报（包括对帖子和对回复的），有新的回复，帖子刚发表（包括修改以后发表)")
    @TableField("manage_sort_time")
    private Date manageSortTime;

    @ApiModelProperty(value = "被收藏时间")
    @TableField("favorite_time")
    private Date favoriteTime;

    @ApiModelProperty(value = "是否删除(0:否,1:是)")
    @TableLogic
    private Integer deleted;

    @TableField("org_id")
    private Long orgId;

    @TableField("site_id")
    private Long siteId;

    @TableField("company_id")
    private Long companyId;

    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @ApiModelProperty(value = "发表时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(value = "update_by_id", fill = FieldFill.INSERT)
    private Long updateById;

    @TableField(value = "update_by_name", fill = FieldFill.INSERT)
    private String updateByName;

    @ApiModelProperty(value = "修改时间 初始值为发表时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;

    @ApiModelProperty(value = "发帖可得积分")
    @TableField(exist = false)
    private Integer sendPoint;

    @ApiModelProperty(value = "评论可得积分 ")
    @TableField(exist = false)
    private Integer commentPoint;
}
