package com.yizhi.forum.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@Data
@ApiModel(value = "PostsAppendixVo", description = "帖子附件表")
@TableName("posts_appendix")
public class PostsAppendix {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "帖子id")
    @TableField("posts_id")
    private Long postsId;

    @ApiModelProperty(value = "附件名称 ")
    private String name;

    @ApiModelProperty(value = "附件大小")
    @TableField("file_size")
    private Double fileSize;

    @ApiModelProperty(value = "文件后缀名")
    @TableField("file_suffer")
    private String fileSuffer;

    @ApiModelProperty(value = "下载路径")
    private String url;

    @ApiModelProperty(value = "附件类型  ：1、文档；2、图片；3、音频；4、视频；5、其他(压缩包)")
    private Integer type;

    @ApiModelProperty(value = "是否删除 0：未删除、1：已删除")
    @TableLogic
    private Integer deleted;


    @ApiModelProperty(value = "是否经过转码 1：已转")
    @TableField("is_video")
    private Integer isVideo;


    @ApiModelProperty(value = "经过阿里云转码后的url")
    @TableField("aliyun_url")
    private String aliyunUrl;

    @ApiModelProperty(value = "创建者id")
    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @ApiModelProperty(value = "创建者名称")
    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新者id")
    @TableField(value = "update_by_id", fill = FieldFill.INSERT)
    private Long updateById;

    @ApiModelProperty(value = "修改者名称")
    @TableField(value = "update_by_name", fill = FieldFill.INSERT)
    private String updateByName;

    @ApiModelProperty(value = "修改时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;

    @ApiModelProperty(value = "站点id")
    @TableField("site_id")
    private Long siteId;


}
