package com.yizhi.forum.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@Data
@ApiModel(value = "PostsClassifyEntityVo", description = "帖子分类表")
@TableName("posts_classify")
public class PostsClassify {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "分类id")
    private Long id;

    @ApiModelProperty(value = "名称 20个字符内")
    private String name;

    @ApiModelProperty(value = "分类编码 备用")
    private String code;

    @ApiModelProperty(value = "备注 100个字符内")
    private String description;

    @ApiModelProperty(value = "发帖可得积分")
    @TableField("send_point")
    private Integer sendPoint;

    @ApiModelProperty(value = "评论可得积分 ")
    @TableField("comment_point")
    private Integer commentPoint;

    @ApiModelProperty(value = "0:平台用户  1：指定用户  可评论人员范围")
    @TableField("comment_setting")
    private Integer commentSetting;

    @ApiModelProperty(value = "0:平台用户  1：指定用户   可发帖人员范围")
    @TableField("send_setting")
    private Integer sendSetting;

	@ApiModelProperty(value = "是否删除(0:否,1:是)")
    @TableLogic
	private Integer deleted;

    @ApiModelProperty(value = "排序字段")
    private Integer sort;

    @TableField("org_id")
    private Long orgId;

    @TableField("site_id")
    private Long siteId;

    @TableField("company_id")
    private Long companyId;

    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(value = "update_by_id", fill = FieldFill.INSERT)
    private Long updateById;

    @TableField(value = "update_by_name", fill = FieldFill.INSERT)
    private String updateByName;

    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;


}
