package com.yizhi.forum.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
@Data
@ApiModel(value = "PostsRelationVo", description = "帖子关联业务表")
@TableName("posts_relation")
public class PostsRelation {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id")
	private Long id;

    @ApiModelProperty(value = "业务类型 1：training、2：course、3：offline_course、4：exam、5：research、6：live、7：assignment、8：案列活动、9：精选案列")
	private Integer type;

    @ApiModelProperty(value = "业务id")
	@TableField("relation_id")
	private Long relationId;

    @ApiModelProperty(value = "帖子id")
	@TableField("posts_id")
	private Long postsId;

    @ApiModelProperty(value = "业务logo")
	@TableField("task_logo")
	private String taskLogo;

    @ApiModelProperty(value = "业务名称")
	@TableField("task_name")
	private String taskName;

	@ApiModelProperty(value = "备用字段")
	@TableField("spare_field")
	private String spareField;

    @ApiModelProperty(value = "是否删除(0:否,1:是)")
	@TableLogic
	private Integer deleted;

    @ApiModelProperty(value = "创建人")
	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

    @ApiModelProperty(value = "创建人姓名")
	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

    @ApiModelProperty(value = "创建时间")
	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

    @ApiModelProperty(value = "修改人id")
	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

    @ApiModelProperty(value = "修改人账号")
	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

    @ApiModelProperty(value = "修改时间")
	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;



}
