package com.yizhi.forum.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.forum.application.domain.PostsForbiddenAccount;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.forum.application.vo.domain.PostsForbiddenAccountVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author taoge123
 * @since 2020-01-09
 */
public interface IPostsForbiddenAccountService extends IService<PostsForbiddenAccount> {

    Integer save(PostsForbiddenAccountVo postsForbiddenAccount);

    Page<PostsForbiddenAccountVo> getPage(Long postsId, Integer pageNo, Integer pageSize);

    Integer delete(PostsForbiddenAccountVo forbiddenAccount);

    Integer hasForbiddenByPostsId(Long postsId);

    List<PostsForbiddenAccountVo> getListByPostsId(List<Long> postsIds);

    /**
     * 获取《用户id,用户被禁言数》
     * isBe 是否查询被禁言数据
     * @return
     */
    Map<Long,Integer> getPersonalDataMap(Boolean isBe);
}
